Bug 89920 - System Freezes with /dev/hdd=ide-scsi in grub.conf
System Freezes with /dev/hdd=ide-scsi in grub.conf
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 16:26 EDT by matthew
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matthew 2003-04-29 16:26:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

Description of problem:
My PC boots up ok, but after 2-5 minutes the system will just freeze.  Nothing,
nada... I can't get any response from mouse or keyboard, can't switch to vt1,
can't connect via telnet or ssh. 

Version-Release number of selected component (if applicable):
kernel-2.4.20-9, kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. add /dev/hdd=ide-scsi
2. reboot
3. wait 2-5 minutes
4. Hit the reset button.
    

Actual Results:  The system freezes.

Expected Results:  The system should not freeze

Additional info:

This PC works fine with RH8, and all of the phoebe betas, but not with the
released version of RH9.
Comment 1 Jim Cornette 2003-05-05 18:43:29 EDT
I think that I passed on that I do not use hdx=ide-scsi in my grub file and I
can burn CDs fine. My system does not freeze up with the driver. I was just
informed that the call to the kernel is not needed now. 

Were you able to burn CDs, without ide-scsi in your grub file?
Comment 2 matthew 2003-05-07 01:37:38 EDT
OK, I am able to burn CDs after removing the ide-scsi command from grub.  I
didn't know this was possible, and why does Redhat still add the ide-scsi to
grub if it's no longer necessary and causing problems for some people?  

BTW I used the following command to get it to work:
cdrecord -v dev=ATAPI:1,0 driveropts=burnproof -eject fs=4m speed=16
/home/matthew/downloads/MorphixCombined-Game-0.3-5.iso
Comment 3 Jim Cornette 2003-05-07 07:09:05 EDT
Arjan,
Since you deal with the kernel issues and would probably know why the
hdx=ide-scsi is still added to the grub and LILO boot loaders. I figured you can
pass on why it is still added to the kernels. I burn CDs without it added to the
loader files.

For Matthew, the parameter causes lockups, within a short time. Is this option
still needed for certain types of burners? 

Jim
Comment 4 tecla 2003-06-18 06:48:36 EDT
I remove the kudzu argument in all /dev/scdx drives at /etc/fstab and system no
freezes again.
And still have ide-scsi in grub.conf
Comment 5 Jim Cornette 2003-06-18 18:21:01 EDT
I haven't had the system freeze myself. I have been able to burn CDs with and
without the emulation. for me, it works better without the ide-scsi parameter
for both gtoaster and xcdroaster.

As far as Kudzu goes. It usually created an additional entry into the
/etc/fstab, if I removed kudzu from the listing.

Are you able to burn CDRs without ide-scsi included in the grub loader? If so,
it sounds like a better option.
Comment 6 tecla 2003-06-19 17:23:51 EDT
>Are you able to burn CDRs without ide-scsi included in the grub loader? If so,
>it sounds like a better option.

I cant burn CDRs from burn:/// in nautilus and I cant burn bin/cue (cdrdao)
files with k3b.
Well its not esential burn with these apps, but I would like use them. And no
ide-scsi emulation make these not work propertly or not work at all.

(I know k3b its not an offcial redhat package)
Comment 7 Jim Cornette 2003-06-19 21:47:15 EDT
I can't get burn:/// to work for me either. It calls the wrong device to try to
burn.  When you try to make selections and then proceed to burn them to disk,
they seem to call my cd reader only into play. my device is designated as -2 -2
and it calls the wrong device and channel through burn:/// -- Maybe it is a
problem with what cdrdao and k3b are designating your burner as.

I just noticed that I'm using the i686 and the bug is for the athelon. I don't
get the lockup condition. I do get the same burn problem.


Jim
Comment 8 Bugzilla owner 2004-09-30 11:40:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.